Subject: Re: [Dime] draft-ietf-dime-load-07 : comments

From: Steve Donovan <[email-masked]>
Date: Thu, 16 Feb 2017 14:13:25 -0600

JJacques,

It's good to hear from you.

I will address  your comments below along with the comments received 
during IETF last call.

Thanks,

Steve

On 2/11/17 4:00 AM, Trottin, Jean-Jacques (Nokia - FR) wrote:
>
> Hi Steve
>
> I am no more active as a delegate  in 3GPP and IETF as in another 
> position in Nokia. I received some comments from a reader of the 
> draft-ietf-dime-load-07 (DLC) that I submit you:
>
> 1)About Reporting node and reacting node terminology:
>
> The IETF draft-ietf-dime-load-07 
> <https://www.ietf.org/id/draft-ietf-dime-load-07.txt> states in 
> Section 2:
>
> Reporting node and reacting node terminology is *defined in [RFC7683].*
>
> IETF RFC 7583 has the following definitions:
>
> Reacting Node: A Diameter node that acts upon an overload report.
>
> Reporting Node: A Diameter node that generates an overload report.
>   (This may or may not be the overloaded node.)
>
> These IETF definitions mandate that DLC requires that DOIC is 
> supported. Have you reasons for this? In fact the two mechanisms are 
> independent, DLC can be deployed in a network but not DOIC and vice 
> versa.
>
> So  in draft-ietf-dime-load, would not  be better to write something 
> like :
>
> Reacting Node: A Diameter node that acts upon a load report.
>
> Reporting Node: A Diameter node that generates a load report
>
> 2)In Section 5, §6
>
> FROM:
>
> “The first is the load of the endpoint sending the answer message.”
>
> TO:
>
> “The first type of load report is a HOST report which contains the 
> load of the endpoint……
>
> and in §7
>
> FROM:
>
> “The second type of load report is a peer report
>
> TO:
>
> “The second type of load report is a PEER report.
>
> This introduces the HOST and PEER terminology used throughout the draft
>
> 3)Section 6.1.1: Incorrect AVP is mentioned.
>
> FROM:
>
> “The Diameter endpoint MUST include its load value in the Value AVP in 
> the load AVP.”
>
> TO:
>
> “The Diameter endpoint MUST include its load value in the *Load-*Value 
> AVP in the *L*oad AVP.”
>
> 4)Section 6.1.2: Change FROM load AVP TO Load AVP in the following 
> sentence:
>
> “The Diameter agent MUST include its load value in the Load-Value AVP 
> in the _load_ AVP
>
> Given the status of progress of the ietf draft (IESG submission I 
> think), what would you suggest to handle  these corrections (if you 
> agree on them) ?
>
> Best regards
>
> JJacques
>